Skip to main content
GET
Get an audit event by ID

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

audit_event_id
string
required

Audit event ID (UUID)

Response

OK

action
string
required
Example:

"VALIDATE"

actor
object
required
createdAt
string<date-time>
required
Example:

"2021-01-01T00:00:00Z"

eventId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

eventType
string
required
Example:

"TRANSACTION_VALIDATED"

resourceId
string
required
Example:

"00000000-0000-0000-0000-000000000000"

resourceType
string
required
Example:

"transaction"

result
string
required
Example:

"ALLOW"

context
object
hash
string
Example:

"a3f1e2b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2"

metadata
object
previousHash
string
Example:

"b4e2f3a5c6d7e8f9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3"